%% Run the following modules to obtain the estimates documented in Table 4 %%

% 1. Estimate the baseline model with the baseline data
run_baseline

% 2. Estimate the baseline model with the alternative data
run_alternative

% 3. Estimate the baseline model with the post-94 data
run_post94

% 4. Estimate the baseline model with the unadjusted data
run_unadjusted

% 5. Estimate the model of time-varying GDD with the baseline data
run_timevaryingGDD

% 6. Estimate the factor model with the baseline data
run_factormodel

% 7. Estimate the weekly frequency model with the baseline data
run_weeklymodel
