function F = steadystate3(x)
global U1;global U2;global U3;global U4;

w1 = x(1);
w2 = x(2);
pu1 = exp(-exp(x(3)));
pu2 = exp(-exp(x(4)));

uhat(1,1) = w1+w2;
for j=2:48
uhat(j,1) = w1*(pu1^(j-1))+w2*(pu2^(j-1));
end

X =[U1-uhat(1,1);
    U2-sum(uhat(2:3),1);
    U3-sum(uhat(4:6),1);
    U4-sum(uhat(7:12),1)];
F = sqrt(X'*X);
F = F*1.e4;

    